import React from 'react';

export const PayoutIcon = ({ fillTop = '#E5A762', fillBottom = '#EA7FBB', fillRule = 'nonzero', ...props }) => (
	<svg width='17px' height='18px' viewBox='0 0 17 18' version='1.1' className='payout-icon-components' {...props}>
		<g id='Symbols' stroke='none' strokeWidth='1' fill='none' fillRule={fillRule}>
			<g id='Nav' transform='translate(-395.000000, 0.000000)'>
				<g id='Stacked-Group-2'>
					<g id='pigleeto' transform='translate(395.000000, 0.000000)'>
						<path
							d='M7.07217724,6.6315579 L9.13555312,6.6315579 L9.13555312,6.20325791 C8.54828066,6.12845062 7.9610082,5.84154307 7.82439949,5.0901872 L8.73071706,4.84851084 C8.77653194,5.16418006 9.02061073,5.47328336 9.53124071,5.47328336 C9.88943873,5.47328336 10.1410112,5.31544875 10.1410112,4.99155109 C10.1410112,4.50981882 9.59954506,4.46461498 9.02809584,4.31416703 C8.47163818,4.17112889 7.89270385,3.92286347 7.89270385,3.09587325 C7.89270385,2.38890047 8.33502947,1.96718744 9.07392353,1.86937207 L9.07392353,1.25200726 L9.82864082,1.25200726 L9.82864082,1.87677977 C10.4992092,1.96720638 10.9265433,2.31328717 11.0781649,2.89201407 L10.2093368,3.12548302 C10.1410304,2.7941987 9.90445162,2.59113922 9.44713444,2.59113922 C9.01312561,2.59113922 8.82987886,2.79418607 8.82987886,3.04984868 C8.82987886,3.42635788 9.15809377,3.50855814 9.73702811,3.65159839 C10.3392921,3.80203371 11.1248242,4.00508478 11.1248242,4.93811881 C11.1248242,5.67550106 10.6291858,6.09721409 9.88946006,6.20243717 L9.88946006,6.63073716 L11.8770251,6.63073716 C12.7233765,5.94514571 13.2631579,4.90442638 13.2631579,3.73962801 C13.2631579,1.67462521 11.5671498,0 9.47368421,0 C7.38032521,0 5.68421053,1.67451998 5.68421053,3.73962801 C5.68504221,4.90531026 6.22484495,5.94510362 7.07200663,6.63157895 L7.07217724,6.6315579 Z'
							id='Fill-1'
							fill={fillTop}
						/>
						<path
							d='M16.6245117,7.42761226 C16.3270384,7.56382794 15.2811697,7.51571112 15.0401611,7.78051758 C14.5549675,7.25316446 13.8662394,6.67423954 13.2108371,6.34473638 C12.9873197,6.63999178 12.7280258,6.91319459 12.4257674,7.15061064 L12.1887295,7.33705052 L6.98595009,7.33705052 L6.74891219,7.15061064 C6.23268635,6.7457741 5.82625421,6.24353211 5.54706628,5.68421053 L2.02988073,5.68421053 C2.02988073,6.35387301 2.29237155,6.96417661 2.72427697,7.42761226 C2.1969333,8.48841608 1.20585789,9.29810864 0,9.61397503 L0,11.8726127 C1.80715755,12.3459447 3.13702143,13.923387 3.13702143,15.8031174 L3.13702143,18 L5.62733459,18 L5.98288127,17.1697742 L11.6120479,17.1697742 L11.6120479,18 L14.102361,18 L16.0407532,13.4683088 C16.2936941,12.8336538 16.4249293,12.1480168 16.4249293,11.4280542 C16.4249293,10.2812608 16.271328,9.7272835 15.6644287,8.83154297 C15.7368107,8.7364207 16.5410017,8.68749348 16.6245117,8.60986328 C16.7557531,8.99872338 16.7000763,7.23510013 16.6245117,7.42761226 Z M4.17344375,9.93424416 C3.85131166,9.93424416 3.58961498,9.68465243 3.58961498,9.3764421 C3.58961498,9.06825125 3.85049717,8.81788028 4.17344375,8.81788028 C4.49557584,8.81788028 4.75647839,9.06747201 4.75647839,9.3764421 C4.75647839,9.68387319 4.4955962,9.93424416 4.17344375,9.93424416 Z'
							id='Fill-2'
							fill={fillBottom}
							fillRule={fillRule}
						/>
					</g>
				</g>
			</g>
		</g>
	</svg>
);
